﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.ListControls;
using System.Data.SqlClient;
using System.Configuration;
using System.Data;
using System.Collections;
using System.Diagnostics;
using Infragistics.Web.UI.GridControls;

public partial class CascadeExample : System.Web.UI.Page
{
	ArrayList list;
	String selval;
	WebDropDown drp;

	protected void Page_Load(object sender, EventArgs e)
	{
		if (Session["data"] == null)
		{
			Session["data"] = DataProvider();
		}
		WebDataGrid1.DataSource = Session["data"];
		WebDataGrid1_DropDownProvider1.EditorControl.DataSource = DataProvider();
		WebDataGrid1_DropDownProvider1.EditorControl.Items.Clear();
		WebDataGrid1_DropDownProvider1.EditorControl.CurrentValue = null;
		WebDataGrid1_DropDownProvider1.EditorControl.TextField = "Fname";
	}

	protected void eProvider_ItemsRequested(object sender, DropDownItemsRequestedEventArgs e)
	{
		selval = e.Value.ToString();
		drp = (WebDropDown)sender;

		IList data = DataProvider();
		ArrayList filterdData = new ArrayList();

		foreach (Item item in data)
		{
			if (item.Sname.StartsWith(selval.ToString().Substring(0, 1)))
			{
				filterdData.Add(item);
			}

		}

		drp.DataSource = filterdData;
		drp.TextField = "Sname";
		drp.Items.Clear();
		drp.DataBind();
	}

	private IList DataProvider()
	{
		list = new ArrayList();
		list.Add(new Item() { ID = 1, Fname = "Sam", Sname = "Sam1" });
		list.Add(new Item() { ID = 2, Fname = "Thomas", Sname = "Thomas 123" });
		list.Add(new Item() { ID = 3, Fname = "Hanna", Sname = "Honey" });

		list.Add(new Item() { ID = 4, Fname = "AAA", Sname = "AABB" });
		list.Add(new Item() { ID = 6, Fname = "ARE", Sname = "AZXAB" });
		list.Add(new Item() { ID = 3, Fname = "ZZZ", Sname = "ZZZ" });
		return list;
	}

}

public class Item
{
	private int nID;

	public int ID
	{
		get { return nID; }
		set { nID = value; }
	}

	private string sFname;

	public string Fname
	{
		get { return sFname; }
		set { sFname = value; }
	}

	private string sSname;

	public string Sname
	{
		get { return sSname; }
		set { sSname = value; }
	}
}

